### Method

# ECal ComponentId get_rid

since: 3.34

#### Declaration [src]

    const gchar*
    e_cal_component_id_get_rid (
      const ECalComponentId* id
    )

#### Description

No description available.

Available since: 3.34

#### Return value

Type: `const gchar*`

The RECURRENCE-ID part of the `id`. The returned string is owned by `id` and it’s valid until it’s changed with `e_cal_component_id_set_rid()` or until the `id` is freed.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.